Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 800264 - Review Request: perl-Net-Google-DataAPI - Base implementations for modules to negotiate with Google Data APIs [NEEDINFO]
Summary: Review Request: perl-Net-Google-DataAPI - Base implementations for modules to...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 800265
TreeView+ depends on / blocked
 
Reported: 2012-03-06 07:52 UTC by Avi Alkalay
Modified: 2014-07-18 13:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-18 13:38:40 UTC
psabata: needinfo? (avibrazil)
ktdreyer: needinfo? (avibrazil)


Attachments (Terms of Use)

Description Avi Alkalay 2012-03-06 07:52:47 UTC
RPMs, Spec URL: http://avi.alkalay.net/software/perl-Net-Google-DataAPI/

Description: 
Net::Google::DataAPI is base implementations for modules to negotiate with
Google Data APIs.

This is the cpanspec-generated package with some manually added perl(Tree::DAG_Node) BuildRequires so the build won't fail.

Comment 1 Avi Alkalay 2012-03-06 07:58:26 UTC
This package was submitted because it is a prereq for Google-Spreadsheets package at https://bugzilla.redhat.com/show_bug.cgi?id=800265

Comment 2 Petr Pisar 2012-05-03 09:49:29 UTC
Source file is original. Ok.
URL and Source0 values are usable. Ok.
Summary verified from lib/Net/Google/DataAPI.pm. Ok.
License verified from lib/Net/Google/DataAPI.pm. Ok.
Description verified from lib/Net/Google/DataAPI.pm. Ok.

TODO: Remove useless BuildRoot definition.
TODO: Remove already implicit `rm -rf $RPM_BUILD_ROOT' from %install section.
TODO: Remove already implicit %clean section.

No XS code. noarch BuildArch is Ok.

FIX: Build-require `perl(inc::Module::Install)' instead of 'perl(ExtUtils::MakeMaker)' (Makefile.PL:1)

TODO: The ./inc directory bundles some modules needed for installation. Consider unbundling the modules by cleaning the directory and build-requiring appropriate modules like Module::Install::AuthorTests or Test::More. Otherwise you need to explicitly depend on each Perl module used by code under the ./inc.

TODO: Build-require `perl(base)' (inc/Test/Warn.pm:194).
FIX: Build-require `perl(Scalar::Util)' (inc/Test/MockModule.pm:6).
FIX: Build-require `perl(Test::Builder::Module)' (inc/Test/More.pm:24).
FIX: Build-require `perl(Sub::Uplevel)' (inc/Test/Exception.pm:7).
TODO: Build-require `perl(Exporter)' (inc/Test/Exception.pm:8).
FIX: Build-require `perl(YAML::Tiny)' (inc/Module/Install/Metadata.pm:292).
FIX: Build-require `perl(ExtUtils::MM_Unix)' (inc/Module/Install/Metadata.pm:317).

TODO: Build-require `perl(Carp)' (lib/Net/Google/DataAPI.pm:5).

FIX: Build-require `perl(XML::Atom::Entry)' (lib/Net/Google/DataAPI/Role/Service.pm:7).
FIX: Build-require `perl(XML::Atom::Feed)' (lib/Net/Google/DataAPI/Role/Service.pm:8).

FIX: Build-require `perl(XML::Atom::Util) (t/lib/MyService/MyEntry.pm:5).

TODO: Build-require `perl(lib)' (t/02_feedurl/03_list.t:3).

FIX: Build-require `perl(HTTP::Request)' (t/04_auth/03_multiple.t:4).
FIX: Build-require `perl(HTTP::Response)' (t/04_auth/03_multiple.t:5).
FIX: Build-require `perl(URI::Escape)' (t/01_role/01_service/01_instanciate.t:8).

All tests pass. Ok.

$ rpmlint perl-Net-Google-DataAPI.spec ../SRPMS/perl-Net-Google-DataAPI-0.25-2.fc18.src.rpm ../RPMS/noarch/perl-Net-Google-DataAPI-0.25-2.fc18.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Net-Google-DataAPI-0.25-2.fc18.noarch.rpm 
drwxr-xr-x    2 root    root                        0 May  3 11:20 /usr/share/doc/perl-Net-Google-DataAPI-0.25
-rw-r--r--    1 root    root                     3119 Sep 16  2011 /usr/share/doc/perl-Net-Google-DataAPI-0.25/Changes
-rw-r--r--    1 root    root                      537 Sep 16  2011 /usr/share/doc/perl-Net-Google-DataAPI-0.25/README
-rw-r--r--    1 root    root                     2564 May  3 11:20 /usr/share/man/man3/Net::Google::DataAPI.3pm.gz
-rw-r--r--    1 root    root                     2278 May  3 11:20 /usr/share/man/man3/Net::Google::DataAPI::Auth::ClientLogin::Multiple.3pm.gz
-rw-r--r--    1 root    root                     2673 May  3 11:20 /usr/share/man/man3/Net::Google::DataAPI::Auth::OAuth.3pm.gz
-rw-r--r--    1 root    root                     2056 May  3 11:20 /usr/share/man/man3/Net::Google::DataAPI::Role::Entry.3pm.gz
-rw-r--r--    1 root    root                     1968 May  3 11:20 /usr/share/man/man3/Net::Google::DataAPI::Role::HasContent.3pm.gz
-rw-r--r--    1 root    root                     2044 May  3 11:20 /usr/share/man/man3/Net::Google::DataAPI::Role::Service.3pm.gz
drwxr-xr-x    2 root    root                        0 May  3 11:20 /usr/share/perl5/vendor_perl/Net
drwxr-xr-x    2 root    root                        0 May  3 11:20 /usr/share/perl5/vendor_perl/Net/Google
drwxr-xr-x    2 root    root                        0 May  3 11:20 /usr/share/perl5/vendor_perl/Net/Google/DataAPI
-rw-r--r--    1 root    root                     7847 Sep 16  2011 /usr/share/perl5/vendor_perl/Net/Google/DataAPI.pm
drwxr-xr-x    2 root    root                        0 May  3 11:20 /usr/share/perl5/vendor_perl/Net/Google/DataAPI/Auth
-rw-r--r--    1 root    root                      473 Sep 16  2011 /usr/share/perl5/vendor_perl/Net/Google/DataAPI/Auth/AuthSub.pm
drwxr-xr-x    2 root    root                        0 May  3 11:20 /usr/share/perl5/vendor_perl/Net/Google/DataAPI/Auth/ClientLogin
-rw-r--r--    1 root    root                     2953 Sep 16  2011 /usr/share/perl5/vendor_perl/Net/Google/DataAPI/Auth/ClientLogin/Multiple.pm
-rw-r--r--    1 root    root                      205 Sep 16  2011 /usr/share/perl5/vendor_perl/Net/Google/DataAPI/Auth/Null.pm
-rw-r--r--    1 root    root                     6547 Sep 16  2011 /usr/share/perl5/vendor_perl/Net/Google/DataAPI/Auth/OAuth.pm
drwxr-xr-x    2 root    root                        0 May  3 11:20 /usr/share/perl5/vendor_perl/Net/Google/DataAPI/Role
-rw-r--r--    1 root    root                      143 Sep 16  2011 /usr/share/perl5/vendor_perl/Net/Google/DataAPI/Role/Auth.pm
-rw-r--r--    1 root    root                     3474 Sep 16  2011 /usr/share/perl5/vendor_perl/Net/Google/DataAPI/Role/Entry.pm
-rw-r--r--    1 root    root                     1153 Sep 16  2011 /usr/share/perl5/vendor_perl/Net/Google/DataAPI/Role/HasContent.pm
-rw-r--r--    1 root    root                     6018 Sep 16  2011 /usr/share/perl5/vendor_perl/Net/Google/DataAPI/Role/Service.pm
-rw-r--r--    1 root    root                      857 Sep 16  2011 /usr/share/perl5/vendor_perl/Net/Google/DataAPI/Types.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Net-Google-DataAPI-0.25-2.fc18.noarch.rpm |sort |uniq -c
      1 perl >= 0:5.008001
      1 perl(Any::Moose)
      1 perl(Any::Moose) >= 0.04
      1 perl(Carp)
      2 perl(Digest::SHA1)
      2 perl(Lingua::EN::Inflect::Number)
      1 perl(LWP::Protocol::https)
      2 perl(LWP::UserAgent)
      1 perl(:MODULE_COMPAT_5.14.2)
      1 perl(Moose) >= 0.56
      1 perl(Mouse) >= 0.51
      1 perl(Net::Google::AuthSub)
      1 perl(Net::Google::AuthSub) >= 0.5
      1 perl(Net::Google::DataAPI::Auth::AuthSub)
      1 perl(Net::Google::DataAPI::Auth::Null)
      1 perl(Net::Google::DataAPI::Types)
      2 perl(Net::OAuth)
      2 perl(Text::Glob)
      2 perl(URI)
      2 perl(XML::Atom)
      1 perl(XML::Atom::Entry)
      1 perl(XML::Atom::Feed)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

TODO: Filter under-specified (unversioned) dependencies: perl(Any::Moose), perl(Net::Google::AuthSub).
TODO: Do not run-require explicitly auto-discovered dependencies: perl(Digest::SHA1), perl(LWP::UserAgent), perl(Net::OAuth), perl(Text::Glob), perl(URI), perl(XML::Atom).

$ rpm -q --provides -p ../RPMS/noarch/perl-Net-Google-DataAPI-0.25-2.fc18.noarch.rpm |sort |uniq -c 
      1 perl(Net::Google::DataAPI) = 0.25
      1 perl-Net-Google-DataAPI = 0.25-2.fc18
      1 perl(Net::Google::DataAPI::Auth::AuthSub) = 0.03
      1 perl(Net::Google::DataAPI::Auth::ClientLogin::Multiple) = 0.05
      1 perl(Net::Google::DataAPI::Auth::Null) = 0.02
      1 perl(Net::Google::DataAPI::Auth::OAuth) = 0.04
      1 perl(Net::Google::DataAPI::Role::Auth) = 0.02
      1 perl(Net::Google::DataAPI::Role::Entry) = 0.02
      1 perl(Net::Google::DataAPI::Role::HasContent)
      1 perl(Net::Google::DataAPI::Role::Service) = 0.03
      1 perl(Net::Google::DataAPI::Types) = 0.02
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Net-Google-DataAPI-0.25-2.fc18.noarch.rpm
Binary dependencies resolvable. Ok.

Package does not build in F18 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4048874). Undeclared test-time dependencies (perl(Test::Builder::Module).

Otherwise package is in line with Fedora and Perl packaging guidelines.


Please correct all `FIX' prefixed issues, consider fixing `TODO' items, and provide new spec file.

Resolution: Package NOT approved.

Comment 3 Petr Šabata 2013-04-10 14:32:33 UTC
Ping, do you plan to fix the pinpointed issues?

Comment 4 Ken Dreyer 2013-09-13 13:09:48 UTC
Hi Avi, it's been a while since you replied on this bug. Are you still interested in packaging this for Fedora?

Comment 5 Petr Pisar 2014-07-18 13:38:40 UTC
We haven't got any response from the review submitter for more than two years.

Ken, feel free to submit your package in a new review request.

Comment 6 Petr Pisar 2014-07-18 13:42:00 UTC
Adjusting status per <https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews>.


Note You need to log in before you can comment on or make changes to this bug.